## ubiquity-slideshow-regolith 202-1regolith

=== debian/changelog ===
ubiquity-slideshow-regolith (202-1regolith-jammy) jammy; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 09 Mar 2025 19:56:48 +0000

ubiquity-slideshow-regolith (202) jammy; urgency=medium

  [ Khosrow Moossavi ]
  * chore: upgrade to version 202 from upstream
  * feat: overall redesign of regoilth slides
  * feat: use build-only to test pull request

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 09 Mar 2025 19:55:40 +0000

ubiquity-slideshow-regolith (183) jammy; urgency=medium

  [ Khosrow Moossavi ]
  * chore: remove obsolete package broadcast action
  * feat: enable github action to test pull requests
  * feat: enable github action to publish to unstable
  * feat: enable github action to publish to testing
  * feat: enable github action to prepare release
  * fix: create release tag from correct git sha

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 04 Feb 2025 03:07:28 +0000

ubiquity-slideshow-regolith (182) jammy; urgency=medium

  [ Ken Gilmer ]
  * Update logo for 2.x

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 15 Jul 2022 18:39:28 -0700

ubiquity-slideshow-regolith (181) jammy; urgency=medium

  [ Ken Gilmer ]
  * Update for Regolith 2

 -- Regolith Linux <regolith.linux@gmail.com>  Wed, 15 Jun 2022 20:33:57 -0700

ubiquity-slideshow-regolith (168.6-regolith1) focal; urgency=medium

  * Add virtual package for artwork update from upstream. Fixes focal
    installer boot. 

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 05 Jun 2021 21:36:36 -0700

ubiquity-slideshow-regolith (168.5-regolith1) focal; urgency=medium

  [ Ken Gilmer ]
  * Update virtual package dependency for focal

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 05 Jun 2021 21:35:22 -0700

ubiquity-slideshow-regolith (168.4-regolith1) focal; urgency=medium

  [ Ken Gilmer ]
  * Lots of cleanup

 -- Regolith Linux <regolith.linux@gmail.com>  Thu, 29 Apr 2021 22:08:46 -0700
