=== debian/control ===
Source: ubiquity-slideshow-regolith
Section: x11
Priority: optional
Maintainer: Ubiquity Slideshow Team <ubiquity-slideshow@lists.launchpad.net>
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: po4a, python3
Vcs-Git: https://git.launchpad.net/ubiquity-slideshow-ubuntu
Standards-Version: 4.5.0
Homepage: https://launchpad.net/ubiquity-slideshow-ubuntu

Package: ubiquity-slideshow-regolith
Architecture: all
Provides: ubiquity-slideshow
Conflicts: ubiquity-slideshow
Replaces: ubiquity-slideshow
Depends: ${misc:Depends}
Description: Ubiquity slideshow for Regolith
 A slideshow intended for the Ubiquity installer, designed as a quick
 introduction to Regolith.
